nxt.addons

## Enum ContractRunner.INVOCATION_TYPE

- java.lang.Object
- - java.lang.Enum<ContractRunner.INVOCATION_TYPE>
  - - nxt.addons.ContractRunner.INVOCATION_TYPE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContractRunner.INVOCATION_TYPE>
  Enclosing class:
    ContractRunner

      public static enum ContractRunner.INVOCATION_TYPE
      extends java.lang.Enum<ContractRunner.INVOCATION_TYPE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOCK`
    `REQUEST`
    `TRANSACTION`
    `VOUCHER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Optional<ContractRunner.INVOCATION_TYPE>` | `getByMethodName(java.lang.String methodName)`
    `java.lang.Class` | `getContextClass()`
    `java.lang.String` | `getMethodName()`
    `org.apache.commons.math3.stat.descriptive.StatisticalSummary` | `getStatErr(java.lang.String contractClassName)`
    `org.apache.commons.math3.stat.descriptive.StatisticalSummary` | `getStatNormal(java.lang.String contractClassName)`
    `static ContractRunner.INVOCATION_TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContractRunner.INVOCATION_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRANSACTION

          public static final ContractRunner.INVOCATION_TYPE TRANSACTION

    - #### BLOCK

          public static final ContractRunner.INVOCATION_TYPE BLOCK

    - #### REQUEST

          public static final ContractRunner.INVOCATION_TYPE REQUEST

    - #### VOUCHER

          public static final ContractRunner.INVOCATION_TYPE VOUCHER

  - ### Method Detail

    - #### values

          public static ContractRunner.INVOCATION_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContractRunner.INVOCATION_TYPE c : ContractRunner.INVOCATION_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContractRunner.INVOCATION_TYPE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMethodName

          public java.lang.String getMethodName()

    - #### getContextClass

          public java.lang.Class getContextClass()

    - #### getStatErr

          public org.apache.commons.math3.stat.descriptive.StatisticalSummary getStatErr(java.lang.String contractClassName)

    - #### getStatNormal

          public org.apache.commons.math3.stat.descriptive.StatisticalSummary getStatNormal(java.lang.String contractClassName)

    - #### getByMethodName

          public static java.util.Optional<ContractRunner.INVOCATION_TYPE> getByMethodName(java.lang.String methodName)